Subject: RE: [SIP] SIP->XML->SOAP

From: fm-listproc <[email-masked]>
Date: Mon, 3 Jul 2000 13:49:46 -0400 (EDT)

> (SIP->XML)->SOAP would change the transport to HTTP ( I know HTTP may need
> some fixing ie. TCP -> SCTP), and change SIP from a protocol to a set of
> object interfaces exposed by the SOAP schema. The SIP "methods" would become
> object interface methods. Events could be defined through event object
> interface methods. Device control can be defined similarly.

Actually, the SOAP specification does not require that HTTP be used for
transport.

I personally believe that an XML DTD for SIP servers is a good
alternative to formalize an IDL for SIP servers in a manner that is more
friendly than the SIP CGI approach.

-=Francois=-

> 
> 
> Mike
> 
> > -----Original Message-----
> > From: Sean Olson [mailto:[email-masked]]
> > Sent: Friday, June 16, 2000 11:37 AM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: Re: [SIP] SIP->XML->SOAP
> > 
> > 
> > > I agree. I believe (SIP -> XML) -> SOAP(like)HTTP is 
> > unstoppable. OSP and
> > > IMPP require XML awareness in SIP devices, so the door has 
> > already been
> > > opened for XML convergence of the SIP domain. HTTP is the Internet
> > > Application Protocol. The problems of HTTP using TCP can be 
> > fixed with SCTP
> > > (I hope!). Of course this will take some time (12+ months).
> > > 
> > > Shouldn't this be the direction of SIP?
> > > Comments?
> > > 
> > > 
> > > Mike Fox
> > 
> > If you mean using XML as a common body format, I agree. If 
> > you mean SOAP,
> > I think this is better solved with HTTP. SOAP is an 
> > interesting alternative
> > for service execution in a SIP network. I don't think 
> > carrying it via SIP
> > is necessary or really buys you anything in this case. But it 
> > certainly
> > is a possibility.
> > 
> > --
> > Sean Olson <[email-masked]>
> > 
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip